Bug 589413 - [abrt] crash in gwibber-1:2.30.0.1-3.fc13: accounts.py:353:get_account_data:KeyError: 'username'
[abrt] crash in gwibber-1:2.30.0.1-3.fc13: accounts.py:353:get_account_data:K...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gwibber (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:0e0cf737
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 01:13 EDT by Natalie Rei
Modified: 2010-08-19 22:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: gwibber-2.31.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 21:54:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (570 bytes, text/plain)
2010-05-06 01:14 EDT, Natalie Rei
no flags Details

  None (edit)
Description Natalie Rei 2010-05-06 01:13:58 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gwibber-accounts
component: gwibber
executable: /usr/bin/gwibber-accounts
kernel: 2.6.33.3-79.fc13.x86_64
package: gwibber-1:2.30.0.1-3.fc13
reason: accounts.py:353:get_account_data:KeyError: 'username'
release: Fedora release 13 (Goddard)

backtrace
-----
accounts.py:353:get_account_data:KeyError: 'username'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gwibber/accounts.py", line 184, in on_edit_account_save
    self.get_account_data()
  File "/usr/lib/python2.6/site-packages/gwibber/accounts.py", line 353, in get_account_data
    aId = "%s-%s" % (self.account["protocol"], self.account["username"])
KeyError: 'username'

Local variables in innermost frame:
p: 'color'
widget: None
config: u'private:secret_key'
self: <gwibber.accounts.GwibberAccountManager object at 0x1fd6650>
value: []

How to reproduce
-----
1. Add a Facebook account to Gwibber
2.
3.
Comment 1 Natalie Rei 2010-05-06 01:14:00 EDT
Created attachment 411815 [details]
File: backtrace
Comment 2 Fedora Update System 2010-05-07 12:34:05 EDT
gwibber-2.30.0.1-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.30.0.1-6.fc12
Comment 3 Fedora Update System 2010-05-07 12:35:39 EDT
gwibber-2.30.0.1-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.30.0.1-6.fc13
Comment 4 Fedora Update System 2010-05-10 13:10:32 EDT
gwibber-2.30.0.1-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.30.0.1-6.fc12
Comment 5 Fedora Update System 2010-05-10 19:47:21 EDT
gwibber-2.30.0.1-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 niowfi 2010-06-27 11:05:45 EDT
Package: gwibber-1:2.30.0.1-3.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Add new facebook account
2.Enter your username and your password
3.clic on Apply Button


Comment
-----
When I try to connect tom my Facebook account.
Comment 7 niowfi 2010-06-27 11:15:09 EDT
I updated to gwibber-2.30.0.1-6.fc13.
I restarded Gwibber, now I don't have a Apply bouton when I set a new account.
Comment 8 niowfi 2010-06-27 11:18:59 EDT
I restarted a second time gwibber.
It work fine
Comment 9 Fedora Update System 2010-07-26 15:20:12 EDT
gwibber-2.31.2-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc12
Comment 10 Fedora Update System 2010-07-26 15:25:31 EDT
gwibber-2.31.2-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc13
Comment 11 Fedora Update System 2010-07-26 22:21:45 EDT
gwibber-2.31.2-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc13
Comment 12 Fedora Update System 2010-07-26 22:29:14 EDT
gwibber-2.31.2-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc12
Comment 13 Fedora Update System 2010-08-09 16:25:12 EDT
gwibber-2.31.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12
Comment 14 Fedora Update System 2010-08-09 16:30:04 EDT
gwibber-2.31.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13
Comment 15 Fedora Update System 2010-08-10 17:27:09 EDT
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12
Comment 16 Fedora Update System 2010-08-10 17:32:36 EDT
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13
Comment 17 Fedora Update System 2010-08-19 21:49:41 EDT
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-08-19 22:03:58 EDT
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.